# deploy

客户端编译查看 dev 文档，服务端部署采用 docker 方式快速部署，或者二进制部署。包含两个服务器：

* hbbs- RustDesk ID/Rendezvous 服务器
* hbbr- RustDesk 中继服务器

开放端口：
TCP（21115、21116、21117、21118、21119）

UDP ( 21116 )

其中 hbbs 侦听 21115 (TCP)、21116 (TCP/UDP) 和 21118 (TCP)，hbbr侦听 21117 (TCP) 和 21119 (TCP)

服务器最低配置： 2核4G内内存

## docker部署

启动服务：

```
docker compser -d up

# 查询key并记录
cat ·/data/id_xx.pub

docker logs -f hbbs

```

然后在客户端配置服务器地址和Key

## 二进制部署

https://github.com/rustdesk/rustdesk-server/releases/latest

https://rustdesk.com/docs/en/self-host/rustdesk-server-oss/install/

release 下载，

```
ufw allow proto tcp from YOURIP to any port 22

ufw allow 21115:21119/tcp
ufw allow 8000/tcp
ufw allow 21116/udp
sudo ufw enable

wget https://raw.githubusercontent.com/techahold/rustdeskinstall/master/install.sh
chmod +x install.sh
./install.sh


./hbbs -r <relay-server-ip[:port]>
./hbbr

hbbs.example.com:21116

```

## 分布式部署




